export declare const getHomeId: () => Promise<any>;
export declare const getSceneList: (params: any) => Promise<{
    result: Array<any>;
}>;
interface GETSceneListParams {
    roomId: string;
    masterDpId: number;
    masterDevId: string;
    bindType?: number;
}
interface GETSceneListResult {
    lightList: Array<any>;
    linkageList: Array<any>;
    dimmingList: Array<any>;
}
export declare const getLightAndLinkage: (params: GETSceneListParams) => Promise<GETSceneListResult>;
export interface GETAvailableFunctionParams {
    masterDevId: string;
    masterDpIds: string;
}
/**
 * 获取指定 dp 点可用的功能列表
 * @param params masterDevId 主控设备ID
 * @param params masterDpIds 主控设备的 DPID, 多个以英文逗号隔开
 * @returns
 */
export declare const getAvailableFunction: (params: GETAvailableFunctionParams) => Promise<{
    result: Array<any>;
}>;
type GETBindInfoParams = GETAvailableFunctionParams;
/**
 * 获取绑定信息
 * @param params masterDevId 主控设备ID
 * @param params masterDpIds 主控设备的 DPID, 多个以英文逗号隔开
 * @returns
 */
export declare const getBindInfo: (params: GETBindInfoParams) => Promise<{
    result: Array<any>;
}>;
/**
 * 查询主控设备是否可以创建群组（继电器）
 * @param ids 主控设备的 DPID, 多个以英文逗号隔开
 * @returns
 */
export declare function checkGroupCreatable(ids: any, devId?: string): Promise<unknown>;
export {};
