export declare const BIND_TYPE: {
    sceneControl: number;
    sceneDimming: number;
    lightControl: number;
    curtainControl: number;
    airConditionerControl: number;
    tvControl: number;
    virtualControl: number;
    musicControl: number;
    voiceCentralControl: number;
    distributeBle: number;
    bleDimming: number;
    bleLight: number;
    bleCurtain: number;
    distributeBleDouble: number;
    bleLightNegation: number;
    bleVirtualControl: number;
};
interface SceneItem {
    title: string;
    desc: string;
    icon: string;
    bindType: number;
    nextPage: string;
    isBindDevice: boolean;
    showNoRoom: {
        isSupport: boolean;
        notSupport: boolean;
    };
    tip?: string;
    otherParams?: Record<string, any>;
}
export declare const SCENE_SECTION: ({
    title: string;
    desc: string;
    tip: string;
    bindType: number;
    icon: any;
    nextPage: string;
    isBindDevice: boolean;
    showNoRoom: {
        isSupport: boolean;
        notSupport: boolean;
    };
    creatable?: undefined;
} | {
    title: string;
    desc: string;
    bindType: number;
    icon: any;
    nextPage: string;
    isBindDevice: boolean;
    showNoRoom: {
        isSupport: boolean;
        notSupport: boolean;
    };
    tip?: undefined;
    creatable?: undefined;
} | {
    title: string;
    desc: string;
    bindType: number;
    icon: any;
    nextPage: string;
    isBindDevice: boolean;
    creatable: boolean;
    showNoRoom: {
        isSupport: boolean;
        notSupport: boolean;
    };
    tip?: undefined;
})[];
export declare const DEVICE_SECTION: Array<SceneItem>;
export declare const ALL_BIND_TYPES: Array<SceneItem>;
export {};
