"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ALL_BIND_TYPES = exports.DEVICE_SECTION = exports.SCENE_SECTION = exports.BIND_TYPE = void 0;
const mode_1 = __importDefault(require("./res/mode"));
exports.BIND_TYPE = {
    sceneControl: 1, // 场景控制 走联动接口
    sceneDimming: 2, // 场景调光
    lightControl: 3, // 灯光控制
    curtainControl: 4, // 窗帘控制
    airConditionerControl: 5, // 空调控制
    tvControl: 6, // 电视控制
    virtualControl: 7, // 非智能灯
    musicControl: 8,
    voiceCentralControl: 9, // 语音中控
    distributeBle: 10, // 分布式蓝牙灯光场景(单状态)
    bleDimming: 11, // 蓝牙SoC方案的房间调光
    bleLight: 12, // 蓝牙SoC方案的灯具控制
    bleCurtain: 13, // 蓝牙SoC方案的窗帘
    distributeBleDouble: 18, // 分布式蓝牙灯光场景-双状态
    bleLightNegation: 19, // 蓝牙SoC方案的灯具控制-取反
    bleVirtualControl: 23, // 蓝牙虚拟设备
};
exports.SCENE_SECTION = [
    {
        title: I18n.t('scene_control'),
        desc: I18n.t('scene_control_desc'),
        tip: I18n.t('scene_control_tip'),
        bindType: exports.BIND_TYPE.sceneControl,
        icon: mode_1.default.sceneControl,
        nextPage: `/pages/sceneSelection/index?type=${exports.BIND_TYPE.sceneControl}`,
        isBindDevice: false,
        showNoRoom: {
            isSupport: true,
            notSupport: true,
        },
    },
    {
        title: I18n.t('scene_dimming'),
        desc: I18n.t('scene_dimming_desc'),
        bindType: exports.BIND_TYPE.sceneDimming,
        icon: mode_1.default.sceneDimming,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.sceneDimming}`,
        isBindDevice: false,
        showNoRoom: {
            isSupport: false,
            notSupport: false,
        },
    },
    {
        title: I18n.t('virtual_control'),
        desc: I18n.t('virtual_control_desc'),
        bindType: exports.BIND_TYPE.virtualControl,
        icon: mode_1.default.voiceCentralControl,
        nextPage: '/pages/virtualDevice/index',
        isBindDevice: true,
        creatable: false,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('virtual_control'),
        desc: I18n.t('virtual_control_desc'),
        bindType: exports.BIND_TYPE.bleVirtualControl,
        icon: mode_1.default.voiceCentralControl,
        nextPage: '/pages/virtualDevice/index',
        isBindDevice: true,
        creatable: false,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
];
exports.DEVICE_SECTION = [
    {
        title: I18n.t('light_control'),
        desc: I18n.t('light_control_desc'),
        icon: mode_1.default.lightControl,
        bindType: exports.BIND_TYPE.lightControl,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.lightControl}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('curtain_control'),
        desc: I18n.t('curtain_control_desc'),
        icon: mode_1.default.curtainControl,
        bindType: exports.BIND_TYPE.curtainControl,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.curtainControl}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('air_conditioner_control'),
        desc: I18n.t('air_conditioner_control_desc'),
        icon: mode_1.default.airConditionerControl,
        bindType: exports.BIND_TYPE.airConditionerControl,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.airConditionerControl}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('music_control'),
        desc: I18n.t('music_control_desc'),
        icon: mode_1.default.musicControl,
        bindType: exports.BIND_TYPE.musicControl,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.musicControl}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('tv_control'),
        desc: I18n.t('tv_control_desc'),
        icon: mode_1.default.tvControl,
        bindType: exports.BIND_TYPE.tvControl,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.tvControl}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('voice_central_control'),
        desc: I18n.t('voice_central_control_desc'),
        icon: mode_1.default.voiceCentralControl,
        bindType: exports.BIND_TYPE.voiceCentralControl,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.voiceCentralControl}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('distribute_ble_soc'),
        desc: I18n.t('distribute_ble_soc_desc'),
        tip: I18n.t('distribute_ble_soc_tip'),
        icon: mode_1.default.sceneControl,
        bindType: exports.BIND_TYPE.distributeBle,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.distributeBle}`,
        isBindDevice: false,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('distribute_ble_soc'),
        desc: I18n.t('distribute_ble_soc_desc'),
        tip: I18n.t('distribute_ble_soc_double_tip'),
        icon: mode_1.default.sceneControl,
        bindType: exports.BIND_TYPE.distributeBleDouble,
        nextPage: `/pages/mulDeviceSelection/index?type=${exports.BIND_TYPE.distributeBleDouble}&selectCount=2`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('distribute_ble_dimming'),
        desc: I18n.t('distribute_ble_dimming_desc'),
        icon: mode_1.default.sceneDimming,
        bindType: exports.BIND_TYPE.bleDimming,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.bleDimming}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('distribute_ble_light'),
        desc: I18n.t('distribute_ble_light_desc'),
        tip: I18n.t('distribute_ble_light_negation'),
        icon: mode_1.default.lightControl,
        bindType: exports.BIND_TYPE.bleLight,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.bleLight}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('distribute_ble_curtain'),
        desc: I18n.t('distribute_ble_curtain_desc'),
        icon: mode_1.default.curtainControl,
        bindType: exports.BIND_TYPE.bleCurtain,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.bleCurtain}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
    {
        title: I18n.t('distribute_ble_light'),
        desc: I18n.t('distribute_ble_light_negation_desc'),
        tip: I18n.t('ble_light_negation_tip'),
        icon: mode_1.default.lightControl,
        bindType: exports.BIND_TYPE.bleLightNegation,
        nextPage: `/pages/deviceSelection/index?type=${exports.BIND_TYPE.bleLightNegation}`,
        isBindDevice: true,
        showNoRoom: {
            isSupport: true,
            notSupport: false,
        },
    },
];
exports.ALL_BIND_TYPES = [...exports.SCENE_SECTION, ...exports.DEVICE_SECTION];
