"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.openDeviceOrDimmingSelect = openDeviceOrDimmingSelect;
exports.openSceneSelect = openSceneSelect;
exports.openVirtualDeviceBind = openVirtualDeviceBind;
exports.openBindDetail = openBindDetail;
exports.getAvailableFunctionList = getAvailableFunctionList;
exports.openRelayConfig = openRelayConfig;
exports.openSleepModeConfig = openSleepModeConfig;
const api_1 = require("./api");
__exportStar(require("./api"), exports);
__exportStar(require("./consts"), exports);
const consts_1 = require("./consts");
/**
 * 打开设备选择或调光选择
 */
function openDeviceOrDimmingSelect(params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { type, buttonId, dpId, code, preset } = params;
        let homeId = params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        const url = `functional://details/deviceSelection?type=${type}&buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}`;
        if (preset) {
            ty.presetFunctionalData({
                url,
                data: preset,
                success: (res) => {
                    console.log('presetFunctionalData success', preset);
                    ty.navigateTo({
                        url,
                        success: (res) => {
                            console.log('navigateTo success', res);
                        },
                        fail: (res) => {
                            console.log('navigateTo fail', res);
                        },
                    });
                },
                fail: (res) => {
                    console.log('presetFunctionalData fail', res, preset);
                },
            });
        }
        else {
            ty.navigateTo({
                url,
                success: (res) => {
                    console.log('navigateTo success', res);
                },
                fail: (res) => {
                    console.log('navigateTo fail', res);
                },
            });
        }
    });
}
/**
 * 打开场景选择（一键执行）
 */
function openSceneSelect(params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { buttonId, dpId, code, preset } = params;
        let homeId = params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        const url = `functional://details/sceneSelection?type=${consts_1.BIND_TYPE.sceneControl}&buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}`;
        if (preset) {
            ty.presetFunctionalData({
                url,
                data: preset,
                success: (res) => {
                    console.log('presetFunctionalData success', preset);
                    ty.navigateTo({
                        url,
                        success: (res) => {
                            console.log('navigateTo success', res);
                        },
                        fail: (res) => {
                            console.log('navigateTo fail', res);
                        },
                    });
                },
                fail: (res) => {
                    console.error('presetFunctionalData fail', res, preset);
                }
            });
        }
        else {
            ty.navigateTo({
                url,
                success: (res) => {
                    console.log('navigateTo success', res);
                },
                fail: (res) => {
                    console.log('navigateTo fail', res);
                },
            });
        }
    });
}
/**
 * 绑定或查看虚拟设备详情
 */
function openVirtualDeviceBind(params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { buttonId, dpId, code, groupExecuteDpId, bindRule, preset } = params;
        let homeId = params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        let url = `functional://details/virtualDevice?buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}&groupExecuteDpId=${groupExecuteDpId}`;
        if (bindRule) {
            url = `functional://details/virtualDevice?boundRule=true&virtualControl=true&buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}&bindRule=${JSON.stringify(bindRule)}`;
        }
        if (preset) {
            ty.presetFunctionalData({
                url,
                data: preset,
                success: (res) => {
                    console.log('presetFunctionalData success', preset);
                    ty.navigateTo({
                        url,
                        success: (res) => {
                            console.log('navigateTo success', res);
                        },
                        fail: (res) => {
                            console.log('navigateTo fail', res);
                        },
                    });
                },
                fail: (res) => {
                    console.error('presetFunctionalData fail', res, preset);
                }
            });
        }
        else {
            ty.navigateTo({
                url,
                success: (res) => {
                    console.log('navigateTo success', res);
                },
                fail: (res) => {
                    console.log('navigateTo fail', res);
                },
            });
        }
    });
}
/**
 * 打开绑定详情(除虚拟设备外的其他情况)
 */
function openBindDetail(params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { buttonId, dpId, code, bindRule, preset } = params;
        let homeId = params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        const url = `functional://details/boundDetail?buttonId=${buttonId}&dpId=${dpId}&code=${code}&homeId=${homeId}&bindRule=${JSON.stringify(bindRule)}`;
        if (preset) {
            ty.presetFunctionalData({
                url,
                data: preset,
                success: (res) => {
                    console.log('presetFunctionalData success', preset);
                    ty.navigateTo({
                        url,
                        success: (res) => {
                            console.log('navigateTo success', res);
                        },
                        fail: (res) => {
                            console.log('navigateTo fail', res);
                        },
                    });
                },
                fail: (res) => {
                    console.error('presetFunctionalData fail', res, preset);
                }
            });
        }
        else {
            ty.navigateTo({
                url,
                success: (res) => {
                    console.log('navigateTo success', res);
                },
                fail: (res) => {
                    console.log('navigateTo fail', res);
                },
            });
        }
    });
}
/**
 * 获取可用功能列表，与本地配置合并
 * @param params
 * @returns
 */
function getAvailableFunctionList(params) {
    return new Promise((resolve, reject) => {
        (0, api_1.getAvailableFunction)(params).then(({ result }) => {
            const [config] = result || [null];
            if (config) {
                const { availableBindTypes } = config;
                const actions = consts_1.ALL_BIND_TYPES.filter(item => availableBindTypes.indexOf(item.bindType) > -1);
                resolve(actions);
            }
            else {
                resolve([]);
            }
        }).catch(reject);
    });
}
/**
 * 打开继电器配置页面
 * @param params RelayConfigParams 跳转参数
 */
function openRelayConfig(params) {
    return __awaiter(this, void 0, void 0, function* () {
        let homeId = params === null || params === void 0 ? void 0 : params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        ty.navigateTo({
            url: `functional://details/pages/relaySetting/index?homeId=${homeId}`,
            success: console.log,
            fail: err => {
                console.error('跳转失败: ', `functional://details/pages/relaySetting/index?homeId=${homeId}`, err);
            },
        });
    });
}
/**
 * 打开睡眠模式配置页面
 * @param params SleepModeConfigParams 跳转参数
 */
function openSleepModeConfig(params) {
    return __awaiter(this, void 0, void 0, function* () {
        let homeId = params === null || params === void 0 ? void 0 : params.homeId;
        if (!homeId) {
            homeId = yield (0, api_1.getHomeId)();
        }
        ty.navigateTo({
            url: `functional://details/pages/sleepSetting/index?homeId=${homeId}`,
            success: console.log,
            fail: err => {
                console.error('跳转失败: ', `functional://details/pages/sleepSetting/index?homeId=${homeId}`, err);
            },
        });
    });
}
